Bug 483020 - Review Request: torch - Torch is a simple machine-learning library
Review Request: torch - Torch is a simple machine-learning library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 483025
  Show dependency treegraph
 
Reported: 2009-01-29 06:57 EST by Milos Jakubicek
Modified: 2009-02-17 12:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-17 12:14:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Milos Jakubicek 2009-01-29 06:57:13 EST
Spec URL: http://mjakubicek.fedorapeople.org/torch/torch.spec
SRPM URL: http://mjakubicek.fedorapeople.org/torch/torch-3.1-1.fc10.src.rpm
Description: Torch is a simple machine-learning library, among its features you can find:

* A lot of things in gradient machines, that is, machines which could be
  learned with a gradient descent. This includes multi-layered perceptrons,
  radial bas is functions, mixtures of experts, convolutional networks and
  even time-delay neural networks. In fact a lot of "modules" are available
  that you can plug as you want to get what you need.
* Support vector machines, in classification and regression. As fast as the
  old stand-alone program SVMTorch II, but with the powerful environment of
  the library.
* Ensemble models such as bagging or adaboost.
* Non-parametric models such as K-nearest-neighbors, Parzen regression and
  Parzen density estimator.
* Distributions stuff, like Kmeans, Gaussian mixture models, hidden Markov
  models, input-output hidden Markov models, and Bayes classifier.
* Speech recognition tools (Embedded training and large vocabulary decoding).

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1090884
Comment 1 Tom "spot" Callaway 2009-01-29 10:23:25 EST
Good:

- rpmlint checks return nothing
- package meets naming guidelines
- package meets packaging guidelines
- license (BSD) OK, text in %doc, matches source
- spec file legible, in am. english
- sources match upstream (e107eec98402b9fe85a273a45152cb8d7b8a277e & 59a2b0e6319dfdea5133687c232a4de501855738)
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

Beautiful package, approved.
Comment 2 Milos Jakubicek 2009-01-29 18:08:05 EST
Thanks for a fast review!

New Package CVS Request
=======================
Package Name: torch
Short Description: Torch is a simple machine-learning library
Owners: mjakubicek
Branches: F-9 F-10
InitialCC:
Comment 3 Kevin Fenzi 2009-01-30 01:34:23 EST
cvs done.
Comment 4 Fedora Update System 2009-02-04 21:19:34 EST
torch-3.1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update torch'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1323

Note You need to log in before you can comment on or make changes to this bug.